Name:          taskjuggler
Version:       2.4.0
Release:       3%{?dist}
Summary:       Project management tool

Group:         Applications/Productivity
License:       GPL+
URL:           http://www.taskjuggler.org
Source0:       http://www.taskjuggler.org/download/%{name}-%{version}.tar.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: kdepim-devel
# need gettext for untranslated .po files
Buildrequires: gettext
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

Patch0: taskjuggler-2.4.0-floatpointformat.patch

%description
TaskJuggler is a modern and powerful project management tool. Its new approach 
to project planning and tracking is far superior to the commonly used Gantt 
chart editing tools. It has already been successfully used in many projects 
and scales easily to projects with hundreds of resources and thousands of 
tasks. It covers the complete spectrum of project management tasks from the 
first idea to the completion of the project. It assists you during project 
scoping, resource assignment, cost and revenue planning, and risk and 
communication management.


%prep
%setup -q

#Floating point formatter bug with lost zeros(upstream)
%patch0 -p1

%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh
%configure --with-qt-includes=%{_libdir}/qt-3.3/include --with-qt-libraries=%{_libdir}/qt-3.3/lib --with-kde-support=yes --disable-rpath
# doc build fails with -j4 
make


%install
rm -rf $RPM_BUILD_ROOT
export DESTDIR="$RPM_BUILD_ROOT"
make install

desktop-file-install --vendor fedora \
	--delete-original \
	--dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
	--add-category X-Fedora --add-category Application \
	--add-category Office \
	${RPM_BUILD_ROOT}/%{_datadir}/applications/kde/taskjuggler.desktop

rm $RPM_BUILD_ROOT%{_libdir}/libtaskjuggler.{la,so}

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
gtk-update-icon-cache
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/{crystalsvg,hicolor} || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/crystalsvg || :
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
/sbin/ldconfig
gtk-update-icon-cache
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/{crystalsvg,hicolor} || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/crystalsvg || :
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/TaskJugglerUI
%{_bindir}/taskjuggler
%{_libdir}/libtaskjuggler*
%{_datadir}/applications/fedora-taskjuggler.desktop
%{_datadir}/applications/kde
%{_datadir}/apps/*
%{_datadir}/config/taskjugglerrc
%{_docdir}/HTML/en/*
%{_docdir}/packages/*
%{_datadir}/icons/*
%{_datadir}/mimelnk/application/*.desktop


%changelog
* Fri Oct  5 2007 Ondrej Vasik <ovasik@redhat.com> - 2.4.0-3
- fixed serious bug in floating point formatter(upstream)
- fixed License tag

* Tue Jul  3 2007 Ondrej Vasik <ovasik@redhat.com> - 2.4.0-2
- new tarball from upstream(previous had one blocker included)

* Fri Jun 22 2007 Ondrej Vasik <ovasik@redhat.com> - 2.4.0-1
- update to latest stable upstream version(2.4.0)
- removed patches included in 2.4.0

* Fri Jun  8 2007 Jens Petersen <petersen@redhat.com> - 2.3.1-3
- setup QTDIR and use find_lang macro to fix build
- buildrequire gettext for untranslated .po file

* Thu Jun  7 2007 Ondrej Vasik  <ovasik@redhat.com> -2.3.1-2
- fixed number of memory leaks (from upstream)
- removed _smp_mflags to avoid build failures with 4+ cpus (#233028)

* Thu Mar  8 2007 Jens Petersen <petersen@redhat.com> - 2.3.1-1
- update to 2.3.1
- improve taskjuggler-2.1.1-docbook.patch to remove explicit systemid (#231422)

* Wed Sep 27 2006 Jens Petersen <petersen@redhat.com> - 2.3.0-1
- update to 2.3.0

* Mon May  8 2006 Jens Petersen <petersen@redhat.com> - 2.2.0-1
- packaging fixes from John Mahowald (#166470)

* Tue Mar 28 2006 Jens Petersen <petersen@redhat.com>
- package for Fedora Extras
